diff --git a/web/package.json b/web/package.json
index f567ee25..752b1911 100644
--- a/web/package.json
+++ b/web/package.json
@@ -71,7 +71,7 @@
     "jquery-contextmenu": "^2.8.0",
     "jquery-ui": "^1.12.1",
     "json-bignumber": "^1.0.1",
-    "leaflet": "^1.4.0",
+    "leaflet": "^1.5.1",
     "moment": "^2.24.0",
     "moment-timezone": "^0.5.23",
     "mousetrap": "^1.6.3",
diff --git a/web/pgadmin/static/js/sqleditor/geometry_viewer.js b/web/pgadmin/static/js/sqleditor/geometry_viewer.js
index f9d8ca1f..bd07d070 100644
--- a/web/pgadmin/static/js/sqleditor/geometry_viewer.js
+++ b/web/pgadmin/static/js/sqleditor/geometry_viewer.js
@@ -45,6 +45,8 @@ let GeometryViewer = {
       geometry_viewer_panel.on(wcDocker.EVENT.VISIBILITY_CHANGED, function (visible) {
         if (visible) {
           self.map_component.resizeMap();
+        } else {
+          self.map_component.loseFocus();
         }
       });
     }
@@ -186,6 +188,10 @@ function initMapComponent() {
       vectorLayer.clearLayers();
     },
 
+    'loseFocus': function() {
+      lmap.fire('blur');
+    },
+
     'renderMap': function (dataObj) {
       let geoJSONs = dataObj.geoJSONs,
         SRID = dataObj.selectedSRID,
diff --git a/web/yarn.lock b/web/yarn.lock
index 6a00fb83..1f5c52f7 100644
--- a/web/yarn.lock
+++ b/web/yarn.lock
@@ -5110,9 +5110,10 @@ lead@^1.0.0:
   dependencies:
     flush-write-stream "^1.0.2"
 
-leaflet@^1.4.0:
-  version "1.4.0"
-  resolved "https://registry.yarnpkg.com/leaflet/-/leaflet-1.4.0.tgz#d5f56eeb2aa32787c24011e8be4c77e362ae171b"
+leaflet@^1.5.1:
+  version "1.5.1"
+  resolved "https://registry.yarnpkg.com/leaflet/-/leaflet-1.5.1.tgz#9afb9d963d66c870066b1342e7a06f92840f46bf"
+  integrity sha512-ekM9KAeG99tYisNBg0IzEywAlp0hYI5XRipsqRXyRTeuU8jcuntilpp+eFf5gaE0xubc9RuSNIVtByEKwqFV0w==
 
 levn@^0.3.0, levn@~0.3.0:
   version "0.3.0"
